Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Pluggable_Reply_Params_Base Class Reference

TAO_Pluggable_Acceptor_Params. More...

`#include <Pluggable_Messaging_Utils.h>`

Inheritance diagram for TAO_Pluggable_Reply_Params_Base:

[legend]
Collaboration diagram for TAO_Pluggable_Reply_Params_Base:

[legend]
List of all members.

## Public Methods
| TAO_Pluggable_Reply_Params_Base (void)
| Constructor. More...
IOP::ServiceContextList & | service_context_notowned (void)
| Get and Set methods for the service context list that we dont own. More...
void | service_context_notowned (IOP::ServiceContextList *svc)
## Public Attributes
IOP::ServiceContextList | svc_ctx_
| The IOP service context list. More...
CORBA::ULong | request_id_
| The request id for which the reply we (connector) has received. More...
CORBA::ULong | reply_status_
| The reply status. More...
CORBA::Boolean | is_dsi_
| Since this class no longer contains an NVList, this is the way to determine if the request was DSI, so we can use Carlos' service context list no-deep-copy optimization. More...
ptr_arith_t | dsi_nvlist_align_
| Info required for DSI optimization that pads the outgoing CDR stream according to the alignment of the NVList. More...
CORBA::Boolean | argument_flag_
| A flag that indicates if there is any data is going to get marshalled in the reply. More...
## Protected Attributes
IOP::ServiceContextList * | service_context_
| The service context list that we don't own. More...

## Detailed Description

TAO_Pluggable_Acceptor_Params.

This represents a set of data that would be assembled by the acceptor to pass to the connector. This base class is used by TAO_ServerRequest. The child class TAO_Pluggable_Reply_Params is used on the client side, and contains an additional TAO_InputCDR member, not needed on the server side.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Pluggable_Reply_Params_Base::TAO_Pluggable_Reply_Params_Base | ( | void |  | ) |

| Constructor.

## Member Function Documentation

ACE_INLINE void TAO_Pluggable_Reply_Params_Base::service_context_notowned | ( | IOP::ServiceContextList * | svc | ) |

ACE_INLINE IOP::ServiceContextList & TAO_Pluggable_Reply_Params_Base::service_context_notowned | ( | void |  | ) |

| Get and Set methods for the service context list that we dont own. This is useful for cases where the application objects own a service context list and would like to pass on their contents without a copy.

## Member Data Documentation

CORBA::Boolean TAO_Pluggable_Reply_Params_Base::argument_flag_

| A flag that indicates if there is any data is going to get marshalled in the reply.

ptr_arith_t TAO_Pluggable_Reply_Params_Base::dsi_nvlist_align_

| Info required for DSI optimization that pads the outgoing CDR stream according to the alignment of the NVList.

CORBA::Boolean TAO_Pluggable_Reply_Params_Base::is_dsi_

| Since this class no longer contains an NVList, this is the way to determine if the request was DSI, so we can use Carlos' service context list no-deep-copy optimization.

CORBA::ULong TAO_Pluggable_Reply_Params_Base::reply_status_

| The reply status.

CORBA::ULong TAO_Pluggable_Reply_Params_Base::request_id_

| The request id for which the reply we (connector) has received.

IOP::ServiceContextList* TAO_Pluggable_Reply_Params_Base::service_context_`[protected]`

| The service context list that we don't own.

IOP::ServiceContextList TAO_Pluggable_Reply_Params_Base::svc_ctx_

| The IOP service context list.

The documentation for this class was generated from the following files:

- Pluggable_Messaging_Utils.h
- Pluggable_Messaging_Utils.i